Package ru.bitel.oss.systems.inventory.service.common.bean

# Class Service

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.service.common.bean.Service

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Idable`

public class Service extends Id implements Cloneable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static short`
  `STATE_DISABLED`
  `static short`
  `STATE_ENABLED`
  `static short`
  `STATE_REMOVED`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Service()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Service`
  `clone()`
  `int`
  `getAccountId()`
  `int`
  `getContractId()`
  `short`
  `getDeviceState()`
  `int`
  `getProductId()`
  `int`
  `getServiceSpecId()`
  `String`
  `getServiceSpecTitle()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `void`
  `setAccountId(int accountId)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDeviceState(short deviceState)`
  `void`
  `setProductId(int productId)`
  `void`
  `setServiceSpecId(int typeId)`
  `void`
  `setServiceSpecTitle(String typeTitle)`
  `void`
  `setTimeFrom(Date timeFrom)`
  `void`
  `setTimeTo(Date timeTo)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATE_REMOVED

    public static short STATE_REMOVED

  - ### STATE_DISABLED

    public static short STATE_DISABLED

  - ### STATE_ENABLED

    public static short STATE_ENABLED

- ## Constructor Details

  - ### Service

    public Service()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId(int accountId)

  - ### getProductId

    public int getProductId()

  - ### setProductId

    public void setProductId(int productId)

  - ### getServiceSpecId

    public int getServiceSpecId()

  - ### setServiceSpecId

    public void setServiceSpecId(int typeId)

  - ### getServiceSpecTitle

    public String getServiceSpecTitle()

  - ### setServiceSpecTitle

    public void setServiceSpecTitle(String typeTitle)

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom(Date timeFrom)

  - ### getTimeTo

    public Date getTimeTo()

  - ### setTimeTo

    public void setTimeTo(Date timeTo)

  - ### getDeviceState

    public short getDeviceState()

  - ### setDeviceState

    public void setDeviceState(short deviceState)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### clone

    public Service clone()
    Overrides:
      `clone` in class `Object`